pub struct UiPressKeysRequest {
pub auth: UiAutomationAuth,
pub keys: String,
pub target: Option<String>,
}Expand description
POST /api/v1/ui/shortcuts/press
Fields§
§auth: UiAutomationAuth§keys: StringA key from ListShortcuts’ raw list, in the table’s syntax
(ctrl+shift+d; a chord is two keys separated by a space).
target: Option<String>A pane in the active tab to focus first; absent = the focused pane.
Trait Implementations§
Source§impl Clone for UiPressKeysRequest
impl Clone for UiPressKeysRequest
Source§fn clone(&self) -> UiPressKeysRequest
fn clone(&self) -> UiPressKeysRequest
Returns a duplicate of the value. Read more
1.0.0 (const: unstable) · Source§fn clone_from(&mut self, source: &Self)
fn clone_from(&mut self, source: &Self)
Performs copy-assignment from
source. Read moreSource§impl Debug for UiPressKeysRequest
impl Debug for UiPressKeysRequest
Source§impl<'de> Deserialize<'de> for UiPressKeysRequest
impl<'de> Deserialize<'de> for UiPressKeysRequest
Source§fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>where
__D: Deserializer<'de>,
fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>where
__D: Deserializer<'de>,
Deserialize this value from the given Serde deserializer. Read more
Auto Trait Implementations§
impl Freeze for UiPressKeysRequest
impl RefUnwindSafe for UiPressKeysRequest
impl Send for UiPressKeysRequest
impl Sync for UiPressKeysRequest
impl Unpin for UiPressKeysRequest
impl UnsafeUnpin for UiPressKeysRequest
impl UnwindSafe for UiPressKeysRequest
Blanket Implementations§
Source§impl<T> BorrowMut<T> for Twhere
T: ?Sized,
impl<T> BorrowMut<T> for Twhere
T: ?Sized,
Source§fn borrow_mut(&mut self) -> &mut T
fn borrow_mut(&mut self) -> &mut T
Mutably borrows from an owned value. Read more